# POST /riffusion/upload

**Method**: `POST`
**Endpoint**: `/riffusion/upload`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
url
string
  // provider-specific example normalized for English documentation
Required
Example
{
"url"
:
"string"
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/riffusion/upload' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "url": "string"
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
id
string
Required
lyrics
string
Required
```

#### Example

```json
{
    "id": "string",
    "lyrics": "string"
}
```
